# binaryninja.pluginmanager.RepoPlugin

class `binaryninja.pluginmanager.``RepoPlugin`(handle)

  ``RepoPlugin` is mostly read-only, however you can install/uninstall enable/disable plugins. RepoPlugins are created by parsing the plugins.json in a plugin repository.

  `__init__`(handle)

  Methods

  `__init__`(handle) |

  Attributes

  `api` | string indicating the api used by the plugin
  `description` | String short description of the plugin
  `enabled` | Boolean True if the plugin is currently enabled, False otherwise
  `installed` | Boolean True if the plugin is installed, False otherwise
  `license` | String short license description (ie MIT, BSD, GPLv2, etc)
  `license_text` | String complete license text for the given plugin
  `long_description` | String long description of the plugin
  `minimum_version` | String minimum version the plugin was tested on
  `name` | String name of the plugin
  `path` | Relative path from the base of the repository to the actual plugin
  `plugin_types` | List of PluginType enumeration objects indicating the plugin type(s)
  `update_status` | PluginUpdateStatus enumeration indicating if the plugin is up to date or not
  `url` | String url of the plugin’s git repository
  `version` | String version of the plugin